com.mockobjects.naming.directory

## Class MockAttribute

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.naming.directory.MockAttribute

- All Implemented Interfaces:
    Verifiable, java.io.Serializable, java.lang.Cloneable, javax.naming.directory.Attribute

      public class MockAttribute
      extends MockObject
      implements javax.naming.directory.Attribute

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface javax.naming.directory.Attribute

      `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockAttribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, java.lang.Object object)`
    `boolean` | `add(java.lang.Object object)`
    `void` | `clear()`
    `java.lang.Object` | `clone()`
    `boolean` | `contains(java.lang.Object object)`
    `java.lang.Object` | `get()`
    `java.lang.Object` | `get(int index)`
    `javax.naming.NamingEnumeration` | `getAll()`
    `javax.naming.directory.DirContext` | `getAttributeDefinition()`
    `javax.naming.directory.DirContext` | `getAttributeSyntaxDefinition()`
    `java.lang.String` | `getID()`
    `boolean` | `isOrdered()`
    `java.lang.Object` | `remove(int index)`
    `boolean` | `remove(java.lang.Object object)`
    `java.lang.Object` | `set(int index, java.lang.Object object)`
    `void` | `setupGet(java.lang.Object aObjectToReturn)`
    `int` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MockAttribute

          public MockAttribute()

  - ### Method Detail

    - #### getAll

          public javax.naming.NamingEnumeration getAll()
                                                throws javax.naming.NamingException

      Specified by:
        `getAll` in interface `javax.naming.directory.Attribute`
      Throws:
        `javax.naming.NamingException`

    - #### setupGet

          public void setupGet(java.lang.Object aObjectToReturn)

    - #### get

          public java.lang.Object get()
                               throws javax.naming.NamingException

      Specified by:
        `get` in interface `javax.naming.directory.Attribute`
      Throws:
        `javax.naming.NamingException`

    - #### size

          public int size()

      Specified by:
        `size` in interface `javax.naming.directory.Attribute`

    - #### getID

          public java.lang.String getID()

      Specified by:
        `getID` in interface `javax.naming.directory.Attribute`

    - #### contains

          public boolean contains(java.lang.Object object)

      Specified by:
        `contains` in interface `javax.naming.directory.Attribute`

    - #### add

          public boolean add(java.lang.Object object)

      Specified by:
        `add` in interface `javax.naming.directory.Attribute`

    - #### remove

          public boolean remove(java.lang.Object object)

      Specified by:
        `remove` in interface `javax.naming.directory.Attribute`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `javax.naming.directory.Attribute`

    - #### getAttributeSyntaxDefinition

          public javax.naming.directory.DirContext getAttributeSyntaxDefinition()
                                                                         throws javax.naming.NamingException

      Specified by:
        `getAttributeSyntaxDefinition` in interface `javax.naming.directory.Attribute`
      Throws:
        `javax.naming.NamingException`

    - #### getAttributeDefinition

          public javax.naming.directory.DirContext getAttributeDefinition()
                                                                   throws javax.naming.NamingException

      Specified by:
        `getAttributeDefinition` in interface `javax.naming.directory.Attribute`
      Throws:
        `javax.naming.NamingException`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `javax.naming.directory.Attribute`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### isOrdered

          public boolean isOrdered()

      Specified by:
        `isOrdered` in interface `javax.naming.directory.Attribute`

    - #### get

          public java.lang.Object get(int index)
                               throws javax.naming.NamingException

      Specified by:
        `get` in interface `javax.naming.directory.Attribute`
      Throws:
        `javax.naming.NamingException`

    - #### remove

          public java.lang.Object remove(int index)

      Specified by:
        `remove` in interface `javax.naming.directory.Attribute`

    - #### add

          public void add(int index,
                          java.lang.Object object)

      Specified by:
        `add` in interface `javax.naming.directory.Attribute`

    - #### set

          public java.lang.Object set(int index,
                                      java.lang.Object object)

      Specified by:
        `set` in interface `javax.naming.directory.Attribute`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2002 Mock Objects. All Rights Reserved.